def Run():
    doc = XSCRIPTCONTEXT.getDocument()
    bookmarks = doc.getBookmarks()
    bookmark_names = bookmarks.getElementNames()
    
    anchors = {}
    for bk_name in bookmark_names:
        bookmark = bookmarks.getByName(bk_name)
        anchors[bk_name] = bookmark.getAnchor()
    
    for bk_name, anchor in anchors.items():
        if bk_name == 'h1':
            anchor.setString('P1')
            
        if bk_name == 'h2':
            anchor.setString('P2')

g_exportedScripts = (Run,)
